# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

from dlgBase import DlgBase

import consts
import os.path

# ---======---
# DlgAbout : create a small about dialog box
# ---======---
class DlgAbout(DlgBase) :

    #  === Constructor ===
    def __init__(self, parent) :
        DlgBase.__init__(self, parent, 'dlg-about')

        # Fill information
        self.dialog.set_name(consts.appName)
        self.dialog.set_website(consts.appURL)
        self.dialog.set_authors([
                            'Developer:',
                            'Ingelrest François <Athropos@gmail.com>',
                            '',
                            'Thanks to:',
                            'Piotr Ozarowski'
        ])
        self.dialog.set_version(consts.appVersion)

        # Licence is read from the disk
        if os.path.exists(consts.fileLicense) :
            license = open(consts.fileLicense).read()
            self.dialog.set_license(license)

# === This object is a singleton
dlg = None
def instance(parent) :
    global dlg
    if dlg == None :
        dlg = DlgAbout(parent)
    return dlg
